libnl: IPVLAN

libnl 3.12.0

IPVLAN
Routing Library (libnl-route) » Links (Interfaces)

IP-based Virtual LAN link module. More...

## IPVLAN Object
struct rtnl_link * | rtnl_link_ipvlan_alloc (void)
| Allocate link object of type IPVLAN.
int | rtnl_link_is_ipvlan (struct rtnl_link *link)
| Check if link is a IPVLAN link.
int | rtnl_link_ipvlan_set_mode (struct rtnl_link *link, uint16_t mode)
| Set IPVLAN MODE.
int | rtnl_link_ipvlan_get_mode (struct rtnl_link *link, uint16_t *out_mode)
| Get IPVLAN Mode.

## Mode Translation
char * | rtnl_link_ipvlan_mode2str (int mode, char *buf, size_t len)
int | rtnl_link_ipvlan_str2mode (const char *name)

## Detailed Description

IP-based Virtual LAN link module.

Link Type Name: "ipvlan"

IPVLAN Documentation (Netlink Routing Development Guide)

## Function Documentation

## ◆ rtnl_link_ipvlan_alloc()

struct rtnl_link * rtnl_link_ipvlan_alloc | ( | void |  | ) |

Allocate link object of type IPVLAN.

Returns
  Allocated link object or NULL.

Definition at line 175 of file ipvlan.c.

References rtnl_link_alloc(), rtnl_link_put(), and rtnl_link_set_type().

Here is the call graph for this function:

## ◆ rtnl_link_is_ipvlan()

int rtnl_link_is_ipvlan | ( | struct rtnl_link * | link | ) |

Check if link is a IPVLAN link.

Parameters

  link | Link object

Returns
  True if link is a IPVLAN link, otherwise false is returned.

Definition at line 196 of file ipvlan.c.

References rtnl_link_info_ops::io_name.

## ◆ rtnl_link_ipvlan_set_mode()

int rtnl_link_ipvlan_set_mode | ( | struct rtnl_link * | link,
|  | uint16_t | mode )

Set IPVLAN MODE.

Parameters

  link | Link object
  mode | IPVLAN mode

Returns
  0 on success or a negative error code

Definition at line 208 of file ipvlan.c.

## ◆ rtnl_link_ipvlan_get_mode()

int rtnl_link_ipvlan_get_mode | ( | struct rtnl_link * | link,
|  | uint16_t * | out_mode )

Get IPVLAN Mode.

Parameters

  link | Link object
  out_mode | on success, return the mode

Returns
  0 on success or a negative error code.

Definition at line 227 of file ipvlan.c.

## ◆ rtnl_link_ipvlan_mode2str()

char * rtnl_link_ipvlan_mode2str | ( | int | mode,
|  | char * | buf,
|  | size_t | len )

Definition at line 251 of file ipvlan.c.

## ◆ rtnl_link_ipvlan_str2mode()

int rtnl_link_ipvlan_str2mode | ( | const char * | name | ) |

Definition at line 256 of file ipvlan.c.